Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
snd_powermac won't load in 2.6.3 ***FIXED***
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
bzurc51
n00b
n00b


Joined: 03 Feb 2004
Posts: 18

PostPosted: Mon Mar 15, 2004 8:28 pm    Post subject: snd_powermac won't load in 2.6.3 ***FIXED*** Reply with quote

I've got a 15" 1.25ghz albook and recently I upgraded from 2.6.2 to 2.6.3 (2.6.3-benh1 and 2.6.3-benh2) and for some reason, snd_powermac will not load now. I get the following messages at boot:

Quote:
Mar 15 11:45:29 token modprobe: FATAL: Error inserting snd_powermac (/lib/modules/2.6.3-benh2/kernel/sound/ppc/snd-powermac.ko): Invalid argument
Mar 15 11:45:29 token kernel: snd_powermac: falsely claims to have parameter enable


I'm emerging ~ppc and I currently have alsa-utils-1.0.3 installed with the updated init script. I don't believe that is the problem, however, as loading the module from hand gives me the same error. Reverting to 2.6.2-benh1 fixes the problem. Anyone else seeing this?


Last edited by bzurc51 on Tue Mar 23, 2004 5:10 pm; edited 1 time in total
Back to top
View user's profile Send private message
heavyt
Guru
Guru


Joined: 03 Mar 2003
Posts: 498
Location: Matrix (Washington,DC)

PostPosted: Mon Mar 15, 2004 9:29 pm    Post subject: Reply with quote

Yes having the same error, went from 2.4.22 r5 to 2.6.3-benh2. TiBook 867mhz.
Back to top
View user's profile Send private message
gnomeza
Tux's lil' helper
Tux's lil' helper


Joined: 31 Dec 2003
Posts: 97

PostPosted: Tue Mar 16, 2004 11:04 am    Post subject: gcc version?? Reply with quote

OK, I've have a working 2.6.3-benh2 system on a 1.25GHz 15" PB.
I also have alsa-utils-1.0.3

However, I've kept my system at gcc-3.2.3-r4 - perhaps that's related?

My current configs are at

http://l003026.zseriespenguins.ihost.com/~gnome/gentoo/

(if that helps at all)

ciao
Back to top
View user's profile Send private message
trad511
n00b
n00b


Joined: 29 Nov 2003
Posts: 27

PostPosted: Tue Mar 16, 2004 7:19 pm    Post subject: Reply with quote

I have the same problem on a 933 Mhz IBook2 (15").

I don't believe the problem is caused by gcc 3.3.3 as I have a running 2.6.2 kernel compiled with gcc 3.3.3 (but I could be wrong).

What I notice is the following -

When compiling:

Quote:
sound/ppc/powermac.c:39: warning: `enable' defined but not used


When booting (dmesg):

Quote:
snd_powermac: falsely claims to have parameter enable


But, the powermac code has

Code:
static int enable=1;


and for the brief look-thru I did, it seems actually be used in several function/macro calls. I'll look at this more when I have some time...

Finally, I diff'd powermac.c, pmac.c, pmac.h and a couple other source files between 2.6.2 and 2.6.3 kernels and saw no difference.
_________________
Success is the ability to go from one failure to another with no loss of enthusiasm. - Winston Churchill
Back to top
View user's profile Send private message
tomasino
Apprentice
Apprentice


Joined: 11 Feb 2004
Posts: 154
Location: Italy, Bologna

PostPosted: Thu Mar 18, 2004 5:12 pm    Post subject: Reply with quote

I have the same problem (invalid argument), I can only add that I was having the same problem with 2.6.2-ben1.
Back to top
View user's profile Send private message
tomasino
Apprentice
Apprentice


Joined: 11 Feb 2004
Posts: 154
Location: Italy, Bologna

PostPosted: Mon Mar 22, 2004 8:41 am    Post subject: Reply with quote

No solution yet? :-(
Back to top
View user's profile Send private message
bergs
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2002
Posts: 141
Location: Bern, Switzerland

PostPosted: Mon Mar 22, 2004 10:37 am    Post subject: Reply with quote

Same problem here. 2.6.2-r2 works but recent kernels don't ... :cry:
Back to top
View user's profile Send private message
bzurc51
n00b
n00b


Joined: 03 Feb 2004
Posts: 18

PostPosted: Tue Mar 23, 2004 5:10 pm    Post subject: Re: gcc version?? Reply with quote

gnomeza wrote:
OK, I've have a working 2.6.3-benh2 system on a 1.25GHz 15" PB.
I also have alsa-utils-1.0.3

However, I've kept my system at gcc-3.2.3-r4 - perhaps that's related?

My current configs are at

http://l003026.zseriespenguins.ihost.com/~gnome/gentoo/

(if that helps at all)

ciao



Good call. Downgrading to gcc-3.2.3-r4 fixed the problem.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum